#
# spec file for package rubygem-sprockets-2_10
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-sprockets-2_10
Version:        2.10.2
Release:        lp150.1.4
%define mod_name sprockets
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -2_10
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://getsprockets.org/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rack-based asset packaging system
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Sprockets is a Rack-based asset packaging system that concatenates and serves
JavaScript, CoffeeScript, CSS, LESS, Sass, and SCSS.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.10.2
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sat Nov 23 2013 coolo@suse.com
- updated to version 2.10.1
  `depend_on_asset` *path* works like `depend_on`, but operates
  recursively reading the file and following the directives found.
- fix usage of update-alternatives
* Sat May 25 2013 coolo@suse.com
- updated to version 2.10.0
  * Support for `bower.json`
* Wed Apr 24 2013 coolo@suse.com
- updated to version 2.9.3
  * Fixed sass caching bug
* Fri Apr 12 2013 coolo@suse.com
- updated to version 2.9.2
  * Improve file freshness check performance
  * Directive processor encoding fixes
  * Support for Uglifier 2.x
* Sun Mar  3 2013 coolo@suse.com
- updated to version 2.9.0
  * Write out gzipped variants of bundled assets.
* Tue Dec 18 2012 coolo@suse.com
- updated to version 2.8.2
  * Fixed top level Sass constant references
  * Fixed manifest logger when environment is disabled
* Thu Nov  1 2012 coolo@suse.com
- updated to version 2.8.1
  * Fixed Sass importer bug
* Sun Oct 28 2012 coolo@suse.com
- updated to version 2.8.0
  * Allow manifest location to be seperated from output directory
  * Pass logical path and absolute path to each_logical_path iterator
* Fri Oct 12 2012 coolo@suse.com
- updated to version 2.7.0
  * Added --css-compressor and --js-compressor command line flags
  * Added css/js compressor shorthand
  * Change default manifest.json filename to be a randomized manifest-16HEXBYTES.json
  * Allow nil environment to be passed to manifest
  * Allow manifest instance to be set on rake task
* Sun Sep 23 2012 coolo@suse.com
- updated to version 2.6.0
  Added bower component.json require support
* Tue Sep  4 2012 coolo@suse.com
- updated to version 2.5.0
  * Fixed Ruby 2.0 RegExp warning
  * Provide stubbed implementation of context *_path helpers
  * Add SassCompressor
* Wed Aug  1 2012 cfarrell@suse.com
- license update: MIT
  See data/LICENSE
* Wed Aug  1 2012 coolo@suse.com
- no need for the extra suffix, renamed back to rubygem-sprockets
* Sun Jul 15 2012 coolo@suse.com
- update to 2.4.5
  * Tweaked some logger levels
  * Canonicalize logical path extensions
  * Check absolute paths passed to depend_on
* Sun Jun 10 2012 coolo@suse.com
- update to 2.4.3
  * Exposed :sprockets in sass options
  * Include dependency paths in asset mtime
* Tue May  8 2012 coolo@suse.com
- update to 2.4.2
  * Fixed MultiJson feature detect
* Sat Apr 28 2012 coolo@suse.com
- update to 2.4.1
  * Fixed MultiJson API change
  * Fixed gzip mtime
* Wed Apr  4 2012 coolo@suse.com
- fork for 2.4 branch
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Thu Jan 26 2012 mrueckert@suse.de
- initial package for the 2.1 branch
